// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		42448A2D2557E92400590CDE /* BaseModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42448A2C2557E92400590CDE /* BaseModel.swift */; };
		42712BE92557D68C00C2A4AC /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42712BE82557D68C00C2A4AC /* AppDelegate.swift */; };
		42712BEB2557D68C00C2A4AC /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42712BEA2557D68C00C2A4AC /* SceneDelegate.swift */; };
		42712BF02557D68C00C2A4AC /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 42712BEE2557D68C00C2A4AC /* Main.storyboard */; };
		42712BF22557D68F00C2A4AC /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 42712BF12557D68F00C2A4AC /* Assets.xcassets */; };
		42712BF52557D68F00C2A4AC /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 42712BF32557D68F00C2A4AC /* LaunchScreen.storyboard */; };
		42712C002557D68F00C2A4AC /* NewsFeedPracticleTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42712BFF2557D68F00C2A4AC /* NewsFeedPracticleTests.swift */; };
		42712C102557DEEB00C2A4AC /* NewsListViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42712C0F2557DEEB00C2A4AC /* NewsListViewController.swift */; };
		42712C132557E04D00C2A4AC /* NewsListTblCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42712C112557E04D00C2A4AC /* NewsListTblCell.swift */; };
		42712C142557E04D00C2A4AC /* NewsListTblCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 42712C122557E04D00C2A4AC /* NewsListTblCell.xib */; };
		42712C172557E57100C2A4AC /* NSObject+Helpers.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42712C162557E57100C2A4AC /* NSObject+Helpers.swift */; };
		42712C1A2557E7E000C2A4AC /* APIManagar.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42712C192557E7E000C2A4AC /* APIManagar.swift */; };
		42712C1C2557E85400C2A4AC /* NewsData.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42712C1B2557E85400C2A4AC /* NewsData.swift */; };
		42A97C772557F3B100E3693B /* Constant.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42A97C762557F3B100E3693B /* Constant.swift */; };
		42A97C792557FE0400E3693B /* NewsDetailViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42A97C782557FE0400E3693B /* NewsDetailViewController.swift */; };
		42A97C7B2558052700E3693B /* NewsWebView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42A97C7A2558052700E3693B /* NewsWebView.swift */; };
		42A97C7D25580C4300E3693B /* LoaderView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42A97C7C25580C4300E3693B /* LoaderView.swift */; };
		42A97C7F25580FD300E3693B /* UIView+Extension.swift in Sources */ = {isa = PBXBuildFile; fileRef = 42A97C7E25580FD300E3693B /* UIView+Extension.swift */; };
		42A97C812558111F00E3693B /* WebKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 42A97C802558111F00E3693B /* WebKit.framework */; };
		58E9C4E571D7552A5F646185 /* Pods_NewsFeedPracticle.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 4DD32A6511500043304A8D3E /* Pods_NewsFeedPracticle.framework */; };
		67FF2AC8241213C5204DCFB3 /* Pods_NewsFeedPracticleTests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = ABDFD4D94BCC9B76E5FFC281 /* Pods_NewsFeedPracticleTests.framework */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		42712BFC2557D68F00C2A4AC /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 42712BDD2557D68C00C2A4AC /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 42712BE42557D68C00C2A4AC;
			remoteInfo = NewsFeedPracticle;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		40359BDA2BA150BA5AA90A74 /* Pods-NewsFeedPracticle.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-NewsFeedPracticle.debug.xcconfig"; path = "Target Support Files/Pods-NewsFeedPracticle/Pods-NewsFeedPracticle.debug.xcconfig"; sourceTree = "<group>"; };
		42448A2C2557E92400590CDE /* BaseModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BaseModel.swift; sourceTree = "<group>"; };
		42712BE52557D68C00C2A4AC /* NewsFeedPracticle.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = NewsFeedPracticle.app; sourceTree = BUILT_PRODUCTS_DIR; };
		42712BE82557D68C00C2A4AC /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		42712BEA2557D68C00C2A4AC /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		42712BEF2557D68C00C2A4AC /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		42712BF12557D68F00C2A4AC /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		42712BF42557D68F00C2A4AC /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		42712BF62557D68F00C2A4AC /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		42712BFB2557D68F00C2A4AC /* NewsFeedPracticleTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = NewsFeedPracticleTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		42712BFF2557D68F00C2A4AC /* NewsFeedPracticleTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NewsFeedPracticleTests.swift; sourceTree = "<group>"; };
		42712C012557D68F00C2A4AC /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		42712C0F2557DEEB00C2A4AC /* NewsListViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NewsListViewController.swift; sourceTree = "<group>"; };
		42712C112557E04D00C2A4AC /* NewsListTblCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NewsListTblCell.swift; sourceTree = "<group>"; };
		42712C122557E04D00C2A4AC /* NewsListTblCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = NewsListTblCell.xib; sourceTree = "<group>"; };
		42712C162557E57100C2A4AC /* NSObject+Helpers.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "NSObject+Helpers.swift"; sourceTree = "<group>"; };
		42712C192557E7E000C2A4AC /* APIManagar.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = APIManagar.swift; sourceTree = "<group>"; };
		42712C1B2557E85400C2A4AC /* NewsData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NewsData.swift; sourceTree = "<group>"; };
		42A97C762557F3B100E3693B /* Constant.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Constant.swift; sourceTree = "<group>"; };
		42A97C782557FE0400E3693B /* NewsDetailViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NewsDetailViewController.swift; sourceTree = "<group>"; };
		42A97C7A2558052700E3693B /* NewsWebView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NewsWebView.swift; sourceTree = "<group>"; };
		42A97C7C25580C4300E3693B /* LoaderView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoaderView.swift; sourceTree = "<group>"; };
		42A97C7E25580FD300E3693B /* UIView+Extension.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIView+Extension.swift"; sourceTree = "<group>"; };
		42A97C802558111F00E3693B /* WebKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = WebKit.framework; path = System/Library/Frameworks/WebKit.framework; sourceTree = SDKROOT; };
		4DD32A6511500043304A8D3E /* Pods_NewsFeedPracticle.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_NewsFeedPracticle.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		55CB6F6780E5CC0FE06C87FC /* Pods-NewsFeedPracticleTests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-NewsFeedPracticleTests.release.xcconfig"; path = "Target Support Files/Pods-NewsFeedPracticleTests/Pods-NewsFeedPracticleTests.release.xcconfig"; sourceTree = "<group>"; };
		ABDFD4D94BCC9B76E5FFC281 /* Pods_NewsFeedPracticleTests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_NewsFeedPracticleTests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		BBF022D930979823496C9DC1 /* Pods-NewsFeedPracticle.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-NewsFeedPracticle.release.xcconfig"; path = "Target Support Files/Pods-NewsFeedPracticle/Pods-NewsFeedPracticle.release.xcconfig"; sourceTree = "<group>"; };
		F325F1EED6331FE40F2E4495 /* Pods-NewsFeedPracticleTests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-NewsFeedPracticleTests.debug.xcconfig"; path = "Target Support Files/Pods-NewsFeedPracticleTests/Pods-NewsFeedPracticleTests.debug.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		42712BE22557D68C00C2A4AC /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				42A97C812558111F00E3693B /* WebKit.framework in Frameworks */,
				58E9C4E571D7552A5F646185 /* Pods_NewsFeedPracticle.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		42712BF82557D68F00C2A4AC /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				67FF2AC8241213C5204DCFB3 /* Pods_NewsFeedPracticleTests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		42712BDC2557D68C00C2A4AC = {
			isa = PBXGroup;
			children = (
				42712BE72557D68C00C2A4AC /* NewsFeedPracticle */,
				42712BFE2557D68F00C2A4AC /* NewsFeedPracticleTests */,
				42712BE62557D68C00C2A4AC /* Products */,
				9C34C4BC1BB08AC854E3ACC0 /* Pods */,
				C8C1625D1C360C30FE02DC93 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		42712BE62557D68C00C2A4AC /* Products */ = {
			isa = PBXGroup;
			children = (
				42712BE52557D68C00C2A4AC /* NewsFeedPracticle.app */,
				42712BFB2557D68F00C2A4AC /* NewsFeedPracticleTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		42712BE72557D68C00C2A4AC /* NewsFeedPracticle */ = {
			isa = PBXGroup;
			children = (
				42712C0B2557DE8500C2A4AC /* Model */,
				42712C0C2557DE9800C2A4AC /* View */,
				42712C0A2557DE7900C2A4AC /* Controller */,
				42A97C752557F39F00E3693B /* Constant */,
				42712C182557E7C100C2A4AC /* Library */,
				42712C152557E54000C2A4AC /* Extension */,
				42712BE82557D68C00C2A4AC /* AppDelegate.swift */,
				42712BEA2557D68C00C2A4AC /* SceneDelegate.swift */,
				42712BEE2557D68C00C2A4AC /* Main.storyboard */,
				42712BF12557D68F00C2A4AC /* Assets.xcassets */,
				42712BF32557D68F00C2A4AC /* LaunchScreen.storyboard */,
				42712BF62557D68F00C2A4AC /* Info.plist */,
			);
			path = NewsFeedPracticle;
			sourceTree = "<group>";
		};
		42712BFE2557D68F00C2A4AC /* NewsFeedPracticleTests */ = {
			isa = PBXGroup;
			children = (
				42712BFF2557D68F00C2A4AC /* NewsFeedPracticleTests.swift */,
				42712C012557D68F00C2A4AC /* Info.plist */,
			);
			path = NewsFeedPracticleTests;
			sourceTree = "<group>";
		};
		42712C0A2557DE7900C2A4AC /* Controller */ = {
			isa = PBXGroup;
			children = (
				42712C0F2557DEEB00C2A4AC /* NewsListViewController.swift */,
				42A97C782557FE0400E3693B /* NewsDetailViewController.swift */,
				42A97C7A2558052700E3693B /* NewsWebView.swift */,
			);
			path = Controller;
			sourceTree = "<group>";
		};
		42712C0B2557DE8500C2A4AC /* Model */ = {
			isa = PBXGroup;
			children = (
				42448A2C2557E92400590CDE /* BaseModel.swift */,
				42712C1B2557E85400C2A4AC /* NewsData.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		42712C0C2557DE9800C2A4AC /* View */ = {
			isa = PBXGroup;
			children = (
				42712C112557E04D00C2A4AC /* NewsListTblCell.swift */,
				42712C122557E04D00C2A4AC /* NewsListTblCell.xib */,
			);
			path = View;
			sourceTree = "<group>";
		};
		42712C152557E54000C2A4AC /* Extension */ = {
			isa = PBXGroup;
			children = (
				42712C162557E57100C2A4AC /* NSObject+Helpers.swift */,
				42A97C7E25580FD300E3693B /* UIView+Extension.swift */,
			);
			path = Extension;
			sourceTree = "<group>";
		};
		42712C182557E7C100C2A4AC /* Library */ = {
			isa = PBXGroup;
			children = (
				42712C192557E7E000C2A4AC /* APIManagar.swift */,
				42A97C7C25580C4300E3693B /* LoaderView.swift */,
			);
			path = Library;
			sourceTree = "<group>";
		};
		42A97C752557F39F00E3693B /* Constant */ = {
			isa = PBXGroup;
			children = (
				42A97C762557F3B100E3693B /* Constant.swift */,
			);
			path = Constant;
			sourceTree = "<group>";
		};
		9C34C4BC1BB08AC854E3ACC0 /* Pods */ = {
			isa = PBXGroup;
			children = (
				40359BDA2BA150BA5AA90A74 /* Pods-NewsFeedPracticle.debug.xcconfig */,
				BBF022D930979823496C9DC1 /* Pods-NewsFeedPracticle.release.xcconfig */,
				F325F1EED6331FE40F2E4495 /* Pods-NewsFeedPracticleTests.debug.xcconfig */,
				55CB6F6780E5CC0FE06C87FC /* Pods-NewsFeedPracticleTests.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		C8C1625D1C360C30FE02DC93 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				42A97C802558111F00E3693B /* WebKit.framework */,
				4DD32A6511500043304A8D3E /* Pods_NewsFeedPracticle.framework */,
				ABDFD4D94BCC9B76E5FFC281 /* Pods_NewsFeedPracticleTests.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		42712BE42557D68C00C2A4AC /* NewsFeedPracticle */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 42712C042557D68F00C2A4AC /* Build configuration list for PBXNativeTarget "NewsFeedPracticle" */;
			buildPhases = (
				C2AB42326686E01FC5210D6A /* [CP] Check Pods Manifest.lock */,
				42712BE12557D68C00C2A4AC /* Sources */,
				42712BE22557D68C00C2A4AC /* Frameworks */,
				42712BE32557D68C00C2A4AC /* Resources */,
				21FAD61FEB6F314D3F741E2D /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = NewsFeedPracticle;
			productName = NewsFeedPracticle;
			productReference = 42712BE52557D68C00C2A4AC /* NewsFeedPracticle.app */;
			productType = "com.apple.product-type.application";
		};
		42712BFA2557D68F00C2A4AC /* NewsFeedPracticleTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 42712C072557D68F00C2A4AC /* Build configuration list for PBXNativeTarget "NewsFeedPracticleTests" */;
			buildPhases = (
				A7FCECD780CA72386125C798 /* [CP] Check Pods Manifest.lock */,
				42712BF72557D68F00C2A4AC /* Sources */,
				42712BF82557D68F00C2A4AC /* Frameworks */,
				42712BF92557D68F00C2A4AC /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				42712BFD2557D68F00C2A4AC /* PBXTargetDependency */,
			);
			name = NewsFeedPracticleTests;
			productName = NewsFeedPracticleTests;
			productReference = 42712BFB2557D68F00C2A4AC /* NewsFeedPracticleTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		42712BDD2557D68C00C2A4AC /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1150;
				LastUpgradeCheck = 1150;
				ORGANIZATIONNAME = Mital;
				TargetAttributes = {
					42712BE42557D68C00C2A4AC = {
						CreatedOnToolsVersion = 11.5;
					};
					42712BFA2557D68F00C2A4AC = {
						CreatedOnToolsVersion = 11.5;
						TestTargetID = 42712BE42557D68C00C2A4AC;
					};
				};
			};
			buildConfigurationList = 42712BE02557D68C00C2A4AC /* Build configuration list for PBXProject "NewsFeedPracticle" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 42712BDC2557D68C00C2A4AC;
			productRefGroup = 42712BE62557D68C00C2A4AC /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				42712BE42557D68C00C2A4AC /* NewsFeedPracticle */,
				42712BFA2557D68F00C2A4AC /* NewsFeedPracticleTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		42712BE32557D68C00C2A4AC /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				42712BF52557D68F00C2A4AC /* LaunchScreen.storyboard in Resources */,
				42712BF22557D68F00C2A4AC /* Assets.xcassets in Resources */,
				42712BF02557D68C00C2A4AC /* Main.storyboard in Resources */,
				42712C142557E04D00C2A4AC /* NewsListTblCell.xib in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		42712BF92557D68F00C2A4AC /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		21FAD61FEB6F314D3F741E2D /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-NewsFeedPracticle/Pods-NewsFeedPracticle-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-NewsFeedPracticle/Pods-NewsFeedPracticle-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-NewsFeedPracticle/Pods-NewsFeedPracticle-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		A7FCECD780CA72386125C798 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-NewsFeedPracticleTests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		C2AB42326686E01FC5210D6A /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-NewsFeedPracticle-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		42712BE12557D68C00C2A4AC /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				42448A2D2557E92400590CDE /* BaseModel.swift in Sources */,
				42712C1C2557E85400C2A4AC /* NewsData.swift in Sources */,
				42A97C7B2558052700E3693B /* NewsWebView.swift in Sources */,
				42A97C7D25580C4300E3693B /* LoaderView.swift in Sources */,
				42712C1A2557E7E000C2A4AC /* APIManagar.swift in Sources */,
				42712BE92557D68C00C2A4AC /* AppDelegate.swift in Sources */,
				42712BEB2557D68C00C2A4AC /* SceneDelegate.swift in Sources */,
				42A97C7F25580FD300E3693B /* UIView+Extension.swift in Sources */,
				42A97C792557FE0400E3693B /* NewsDetailViewController.swift in Sources */,
				42712C172557E57100C2A4AC /* NSObject+Helpers.swift in Sources */,
				42A97C772557F3B100E3693B /* Constant.swift in Sources */,
				42712C132557E04D00C2A4AC /* NewsListTblCell.swift in Sources */,
				42712C102557DEEB00C2A4AC /* NewsListViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		42712BF72557D68F00C2A4AC /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				42712C002557D68F00C2A4AC /* NewsFeedPracticleTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		42712BFD2557D68F00C2A4AC /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 42712BE42557D68C00C2A4AC /* NewsFeedPracticle */;
			targetProxy = 42712BFC2557D68F00C2A4AC /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		42712BEE2557D68C00C2A4AC /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				42712BEF2557D68C00C2A4AC /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		42712BF32557D68F00C2A4AC /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				42712BF42557D68F00C2A4AC /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		42712C022557D68F00C2A4AC /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.5;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		42712C032557D68F00C2A4AC /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.5;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		42712C052557D68F00C2A4AC /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 40359BDA2BA150BA5AA90A74 /* Pods-NewsFeedPracticle.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = NewsFeedPracticle/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = mitalK.NewsFeedPracticle;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		42712C062557D68F00C2A4AC /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = BBF022D930979823496C9DC1 /* Pods-NewsFeedPracticle.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = NewsFeedPracticle/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = mitalK.NewsFeedPracticle;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
		42712C082557D68F00C2A4AC /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = F325F1EED6331FE40F2E4495 /* Pods-NewsFeedPracticleTests.debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = NewsFeedPracticleTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.5;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = mitalK.NewsFeedPracticleTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/NewsFeedPracticle.app/NewsFeedPracticle";
			};
			name = Debug;
		};
		42712C092557D68F00C2A4AC /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 55CB6F6780E5CC0FE06C87FC /* Pods-NewsFeedPracticleTests.release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = NewsFeedPracticleTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.5;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = mitalK.NewsFeedPracticleTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/NewsFeedPracticle.app/NewsFeedPracticle";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		42712BE02557D68C00C2A4AC /* Build configuration list for PBXProject "NewsFeedPracticle" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				42712C022557D68F00C2A4AC /* Debug */,
				42712C032557D68F00C2A4AC /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		42712C042557D68F00C2A4AC /* Build configuration list for PBXNativeTarget "NewsFeedPracticle" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				42712C052557D68F00C2A4AC /* Debug */,
				42712C062557D68F00C2A4AC /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		42712C072557D68F00C2A4AC /* Build configuration list for PBXNativeTarget "NewsFeedPracticleTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				42712C082557D68F00C2A4AC /* Debug */,
				42712C092557D68F00C2A4AC /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 42712BDD2557D68C00C2A4AC /* Project object */;
}
